Problemas con Webmin (y Debian)

3 envíos / 0 nuevos
Último envío
#1 Vie, 05/10/2018 - 19:04
yoyomismo
Imagen de yoyomismo
Desconectado/a
se unió: 05/10/18

Problemas con Webmin (y Debian)

Estado: 
[ACTIVO]

Tengo un problema al instalar webmin, y es que tengo instalada la versión CD de Debian 9.5.0.

Intenté:

apt-get update
apt-get upgrade
apt-get -f **
 

Mis repositorios (Seguro algo está mal ahí) son: (nano /etc/apt/sources.list):

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official i386 xfce-CD Binary-1 20180714-11:11]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official i386 xfce-CD Binary-1 20180714-11:11]/ stretch main

deb http://security.debian.org/debian-security stretch/updates main
deb-src http://security.debian.org/debian-security stretch/updates main
#deb http://download.webmin.com/download/repository sarge contrib
#deb http://webmin.mirror.somersettechsolutions.co.uk/repository sarge contrib

# stretch-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
 deb http://deb.debian.org/debian/ stretch-updates main
 deb-src http://deb.debian.org/debian/ stretch-updates main

Al instalar apt-get install webmin // apt-get install -f webmin me aparecen unos paquetes necesarios para webmin, pero esto es lo que ocurre:

Los siguientes paquetes tienen dependencias incumplidas:
 webmin : Depende: libnet-ssleay-perl pero no es instalable
          Depende: libauthen-pam-perl pero no es instalable
          Depende: libio-pty-perl pero no es instalable
          Depende: apt-show-versions pero no es instalable

 

Gracias por la ayuda

Vie, 05/10/2018 - 19:35
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16

Fijate agregando los repositorios  'contrib' y non-free,   a ver si estan ahi

Vie, 05/10/2018 - 19:53
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

Todos esos paquetes estan en los repos de debian y para stretch

Posiblemente te este faltando este repo

deb https://deb.debian.org/debian stretch main contrib non-free
deb-src https://deb.debian.org/debian stretch main contrib non-free

fijate si dejando tu sources.list asi

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official i386 xfce-CD Binary-1 20180714-11:11]/ stretch main
#deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official i386 xfce-CD Binary-1 20180714-11:11]/ stretch main

# Debian 9
deb https://deb.debian.org/debian stretch main contrib non-free
deb-src https://deb.debian.org/debian stretch main contrib non-free

deb https://deb.debian.org/debian stretch-updates main contrib non-free
deb-src https://deb.debian.org/debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free

# Debian 9 backports
deb http://httpredir.debian.org/debian stretch-backports main contrib non-free

descargas webmin (este paso asumo que ya lo hiciste)

wget http://prdownloads.sourceforge.net/webadmin/webmin_1.890_all.deb

y luego instalas (vuelves a repetir lo que ya hiciste)

su
apt update
dpkg -i webmin_1.890_all.deb
apt -f install

saludos...